<?php
 namespace MongoDB\Model;
 use IteratorIterator;
 class IndexInfoIteratorIterator extends IteratorIterator implements IndexInfoIterator {
 public function current() {
 return new IndexInfo(parent::current());
 }
 }
 